Subject: bug#23779: 25.0.95; consing "SHELLVAR" onto process-environment doesn't remove it from subprocess env

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jun 2016 18:01:13 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sun, 19 Jun 2016 04:27:32 +0200
> 
> On 06/17/2016 04:19 PM, Eli Zaretskii wrote:
> >> Looks like it does. Please push at your convenience.
> > I'd like the patch to be eyeballed by a few more people.  Paul,
> > Andreas, do you see any problems with it?  If not, I'd like to push it
> > to the emacs-25 branch
> The patch is correct.

Thanks for the review.  I will push the patch soon to emacs-25.

> The code is tricky so I'm not surprised you wanted another pair of
> eyes.

Indeed.

> The attached patch is a very minor tweak of your 
> patch that made it a bit easier for me to follow.

I think I will go with my version, mainly because it will most
probably be short-lived, and so is not worth optimizing.

> I resisted the temptation of cleaning up the surrounding code to
> make it more readable.

Feel free to do that on master; I can mark the emacs-25 fix "not to be
merged".